package com.example.examsimplecrud.adapters

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.example.examsimplecrud.R
import com.example.examsimplecrud.models.WeatherForecastViewModel


class WeatherForecastAdapter(context: Context, forecasts: List<WeatherForecastViewModel>) : RecyclerView.Adapter<WeatherForecastAdapter.ViewHolder>() {

    private val inflater: LayoutInflater
    init {
        inflater = LayoutInflater.from(context)
    }

    private var forecasts: List<WeatherForecastViewModel>
    init {
        this.forecasts = forecasts
    }

    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): WeatherForecastAdapter.ViewHolder {
        val view: View = inflater.inflate(R.layout.weather_forecast_item, parent, false);
        return ViewHolder(view)
    }

    override fun onBindViewHolder(holder: WeatherForecastAdapter.ViewHolder, position: Int) {
        val forecast: WeatherForecastViewModel = forecasts[position]
        holder.date.text = forecast.date.toString()
        holder.temperatureC.text = forecast.temperatureC.toString()
        holder.temperatureF.text = forecast.temperatureF.toString()
        holder.summary.text = forecast.summary
    }

    override fun getItemCount(): Int {
        return forecasts.size
    }

    class ViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        val date: TextView
        init {
            date = itemView.findViewById(R.id.date)
        }

        val temperatureC: TextView
        init {
            temperatureC = itemView.findViewById(R.id.temperatureC)
        }

        val temperatureF: TextView
        init {
            temperatureF = itemView.findViewById(R.id.temperatureF)
        }

        val summary: TextView
        init {
            summary = itemView.findViewById(R.id.summary)
        }

    }
}