package com.example.examsimplecrud.services

import com.example.examsimplecrud.models.WeatherForecastViewModel
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.GET

private const val BASE_URL = "http://212.109.198.242:5285"

private val retrofit = Retrofit.Builder()
    .addConverterFactory(GsonConverterFactory.create())
    .baseUrl(BASE_URL)
    .build()

interface WeatherService {
    @GET("WeatherForecast")
    suspend fun getWeatherForecast(): List<WeatherForecastViewModel>
}

object WeatherApi{
    val retrofitWeatherService: WeatherService by lazy{
        retrofit.create(WeatherService::class.java)
    }
}